Bug 239395 - Add new virtual port category: net-vpn to documentation
Summary: Add new virtual port category: net-vpn to documentation
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Port Management Team
URL: https://lists.freebsd.org/pipermail/f...
Keywords: easy
Depends on:
Blocks:
 
Reported: 2019-07-23 08:21 UTC by Koichiro Iwao
Modified: 2019-09-27 00:01 UTC (History)
2 users (show)

See Also:


Attachments
patch (617 bytes, text/plain)
2019-07-23 08:21 UTC, Koichiro Iwao
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Koichiro Iwao freebsd_committer 2019-07-23 08:21:28 UTC
Created attachment 206002 [details]
patch

Based on discussions on ports mailing list[1], I would like to create a new virtual category for VPN related ports.

https://lists.freebsd.org/pipermail/freebsd-ports/2019-April/115915.html
Comment 1 Kurt Jaeger freebsd_committer 2019-08-02 14:56:10 UTC
My guess this needs portmgr approval.
Comment 2 Mathieu Arnold freebsd_committer 2019-08-02 15:39:44 UTC
I cannot find the patch, either here or in the link you provide.
Comment 3 Kurt Jaeger freebsd_committer 2019-08-02 17:00:13 UTC
The patch is for doc, but I guess, portmgr needs a patch for the ports tree ?
Comment 4 Kurt Jaeger freebsd_committer 2019-08-02 17:02:13 UTC
Hmm, e.g. net-im is a real category -- so how would a virtual category work ?
Comment 5 Koichiro Iwao freebsd_committer 2019-08-02 23:32:03 UTC
(In reply to Mathieu Arnold from comment #2)

Porter's handbook says modify doc to add virtual category. I did. That's the only thing written in handbook what do I need to do to implement a new virtual category.
Comment 6 Mathieu Arnold freebsd_committer 2019-08-03 09:57:33 UTC
Well, you provide a patch for the framework and the ports affected by the change.
Comment 7 Kurt Jaeger freebsd_committer 2019-08-03 14:07:58 UTC
There is a list VALID_CATEGORIES in Mk/bsd.port.mk, so probably we need a patch to add net-vpn to that list.

There is another list in Mk/Scripts/desktop-categories.sh, which probably
needs a patch as well.
Comment 8 Koichiro Iwao freebsd_committer 2019-08-05 01:12:15 UTC
(In reply to Kurt Jaeger from comment #7)
Hmm, I'll give it a try. BTW, I would say Porter's handbook should be modified to describe what needs to be done well.
Comment 9 Koichiro Iwao freebsd_committer 2019-08-07 00:24:05 UTC
Created a diff: https://reviews.freebsd.org/D21174
Comment 10 commit-hook freebsd_committer 2019-08-14 03:26:34 UTC
A commit references this bug:

Author: meta
Date: Wed Aug 14 03:26:16 UTC 2019
New revision: 508887
URL: https://svnweb.freebsd.org/changeset/ports/508887

Log:
  Implement new virtual category: net-vpn for VPN related ports

  based on discussion at ports@ [1]. As VPN softwares are put in different
  physical category net and security. This is a little bit confusing. Let's
  give them new virtual category net-vpn.

  [1] https://lists.freebsd.org/pipermail/freebsd-ports/2019-April/115915.html

  PR:		239395
  Submitted by:	myself
  Approved by:	portmgr (mat)
  Differential Revision:	https://reviews.freebsd.org/D21174

Changes:
  head/Mk/Scripts/desktop-categories.sh
  head/Mk/bsd.port.mk
  head/net/mlvpn/Makefile
  head/net/ocserv/Makefile
  head/net/poptop/Makefile
  head/net/pptpclient/Makefile
  head/net/py-sshuttle/Makefile
  head/net/wireguard/Makefile
  head/net/wireguard-go/Makefile
  head/security/fiked/Makefile
  head/security/govpn/Makefile
  head/security/ike-scan/Makefile
  head/security/n2n/Makefile
  head/security/openconnect/Makefile
  head/security/openconnect-gui/Makefile
  head/security/openfortivpn/Makefile
  head/security/openvpn/Makefile
  head/security/openvpn-admin/Makefile
  head/security/openvpn-auth-ldap/Makefile
  head/security/openvpn-auth-radius/Makefile
  head/security/openvpn-auth-script/Makefile
  head/security/openvpn-devel/Makefile
  head/security/softether/Makefile
  head/security/softether-devel/Makefile
  head/security/softether5/Makefile
  head/security/strongswan/Makefile
  head/security/tinc/Makefile
  head/security/tinc-devel/Makefile
  head/security/vpnc/Makefile
  head/sysutils/vpnc-scripts/Makefile
Comment 11 Koichiro Iwao freebsd_committer 2019-08-14 03:29:48 UTC
Committed and implemented net-vpn virtual category. However, doc should be updated. Can someone review attached patch on en_US.ISO8859-1/htdocs/ports/categories?

Also porter's handbook should be updated. I'll raise another bug for the handbook.
Comment 12 commit-hook freebsd_committer 2019-09-26 23:57:27 UTC
A commit references this bug:

Author: meta
Date: Thu Sep 26 23:57:24 UTC 2019
New revision: 53436
URL: https://svnweb.freebsd.org/changeset/doc/53436

Log:
  Add new virtual port category net-vpn to documentation

  I'm still not sure who's responsible on this but in fact virtual category
  is already implemented at r508887 with portmgr approval. I'm assembling the
  rest of the parts documentation.

  PR:		239395
  Submitted by:	meta (myself)

Changes:
  head/en_US.ISO8859-1/htdocs/ports/categories
Comment 13 Koichiro Iwao freebsd_committer 2019-09-27 00:01:47 UTC
Committed the documentation.